Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 83934 - Remove default server residues from the API
Remove default server residues from the API
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Petr Hejl
issues@serverplugins
:
Depends on: 132418 132421 132423 133138
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 14:54 UTC by Sherold Dev
Modified: 2008-04-25 12:46 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
diff (12.14 KB, patch)
2006-09-01 15:36 UTC, Sherold Dev
Details | Diff
javadoc (405.99 KB, application/octet-stream)
2006-09-01 15:37 UTC, Sherold Dev
Details
full diff (30.21 KB, patch)
2006-09-04 17:07 UTC, Sherold Dev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sherold Dev 2006-08-31 14:54:28 UTC
In the past, before the J2EE support was added to NetBeans the default server
concept had been used. This concept was then abandoned since it did not work
anymore. The problem could occur for example if the default server was Tomcat
then the EJB project, which was set to use the default server could not be
deployed to it, etc.

Even if the required API change will not be compatible it should not break
anything, since the current default server support does not work.
Comment 1 Sherold Dev 2006-09-01 15:36:04 UTC
Created attachment 33503 [details]
diff
Comment 2 Sherold Dev 2006-09-01 15:37:17 UTC
Created attachment 33504 [details]
javadoc
Comment 3 Sherold Dev 2006-09-01 15:47:10 UTC
list of impacted interfaces:

org.netbeans.modules.j2ee.deployment.devmodules.api.Deployment
org.netbeans.modules.j2ee.deployment.devmodules.spi.InstanceListener
org.netbeans.modules.j2ee.deployment.devmodules.spi.J2eeModuleProvider
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties
Comment 4 Sherold Dev 2006-09-01 15:56:58 UTC
Although this is an incompatible change, it should not break anything, since the
being removed API has been broken for quite a while and is not even fixable ->
using the API_REVIEW_FAST keyword.

Please review this API change
Comment 5 Milos Kleint 2006-09-01 17:24:40 UTC
is this targetting 5.5? I would rather not as this seems to break the mevenide
j2ee specific codebase. While I don't have a problem with 6.0 timeframe, 5.5 is
too close to get a version out that supports both 5.0 and 5.5.

what is the intended replacement code algorithm supposed to look like? I mean
how do I find out what to fallback when server instance is not defined?



Comment 6 Sherold Dev 2006-09-01 18:14:20 UTC
Yes, it is targeting 5.5, but if it is really a problem, we can postpone it till
6.0.

Are you really sure that it would break the meven ide? If it does it means that
it relies on something that does not work properly, so it should be probably
fixed there.

Projects should use one of the Deployment.getServerInstanceIDs() methods to pick
a server they should be deployed to based on the projects requirements.
Comment 7 Milos Kleint 2006-09-04 09:09:32 UTC
well, it's calling the methods that you want to remove, it calls super.<method>
in the subclasses and similar stuff. I keep the mevenide modules working on both
5.0 and 5.5/6.0, this change so late in the dev cycle would mean quite a bit of
testing for me and also the need to push a new version early enough so that
people don't get stuck when upgrading the IDE.

please postpone to 6.0 timeframe.


Comment 8 Sherold Dev 2006-09-04 17:05:30 UTC
OK, lets postpone it to 6.0.

TM -> Dev
Comment 9 Sherold Dev 2006-09-04 17:07:14 UTC
Created attachment 33581 [details]
full diff
Comment 10 Sherold Dev 2006-09-04 17:09:19 UTC
Since this is more a clean up than an actual defect changing the type to TASK.
Comment 11 Petr Hejl 2008-04-08 09:11:32 UTC
Milos is is the default server stuff still needed?

Thanks,
P.
Comment 12 Milos Kleint 2008-04-08 09:21:23 UTC
feel free to do it for 6.5, I'll accomodate the maven source code once it's done.
Comment 13 Petr Hejl 2008-04-11 15:52:14 UTC
Should be done for 6.5.
Comment 14 Petr Hejl 2008-04-17 14:51:59 UTC
Fixed 8611bf021a37.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo